Bug 806251 - rebuilding kdump image with 'ln: failed to create symbolic link `/var/tmp/initramfs.PA2nCN//usr/lib64/libnss_files.so': No such file or directory'
rebuilding kdump image with 'ln: failed to create symbolic link `/var/tmp/ini...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 806252
  Show dependency treegraph
 
Reported: 2012-03-23 06:05 EDT by WANG Chao
Modified: 2012-06-04 09:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 806252 (view as bug list)
Environment:
Last Closed: 2012-06-04 09:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WANG Chao 2012-03-23 06:05:59 EDT
Description of problem:
Restart kdump service.
/var/log/messages has 'ln: failed to create symbolic link `/var/tmp/initramfs.PA2nCN//usr/lib64/libnss_files.so': No such file or directory'

Version-Release number of selected component (if applicable):
kexec-tools-2.0.3-38.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1.touch /etc/kdump.conf
2.service kdump restart
3.
  
Actual results:
syslog prints `/var/tmp/initramfs.PA2nCN//usr/lib64/libnss_files.so': No such file or directory'

Expected results:
no error/warn

Additional info:

# cat /etc/kdump.conf
ext4 UUID=95617332-8967-4cbd-b1f5-64c31c0d2f6e
default shell
core_collector makedumpfile -E -d 31

# cat /var/log/messages
[snip]
Mar 23 05:56:26 intel-chiefriver-03 kdump: kexec: unloaded kdump kernel
Mar 23 05:56:26 intel-chiefriver-03 kdumpctl[7387]: Stopping kdump:
Mar 23 05:56:26 intel-chiefriver-03 kdump: stopped
Mar 23 05:56:26 intel-chiefriver-03 kdumpctl[7393]: Detected /etc/kdump.conf or /boot/vmlinuz-3.2.1-0.9.el7.x86_64 change
Mar 23 05:56:26 intel-chiefriver-03 kdumpctl[7393]: Rebuilding /boot/initramfs-3.2.1-0.9.el7.x86_64kdump.img
Mar 23 05:56:31 intel-chiefriver-03 kdumpctl[7393]: rpmversion
Mar 23 05:56:31 intel-chiefriver-03 kdumpctl[7393]: dm
Mar 23 05:56:34 intel-chiefriver-03 kdumpctl[7393]: kernel-modules
Mar 23 05:56:45 intel-chiefriver-03 kdumpctl[7393]: lvm
Mar 23 05:56:46 intel-chiefriver-03 kdumpctl[7393]: fstab-sys
Mar 23 05:56:46 intel-chiefriver-03 kdumpctl[7393]: rootfs-block
Mar 23 05:56:47 intel-chiefriver-03 kdumpctl[7393]: udev-rules
Mar 23 05:56:48 intel-chiefriver-03 kdumpctl[7393]: ln: failed to create symbolic link `/var/tmp/initramfs.PA2nCN//usr/lib64/libnss_files.so': No such file or directory
Mar 23 05:56:48 intel-chiefriver-03 kdumpctl[7393]: ln: failed to create symbolic link `/var/tmp/initramfs.PA2nCN//usr/lib64/libnss_files.so': No such file or directory
Mar 23 05:56:49 intel-chiefriver-03 kdumpctl[7393]: base
Mar 23 05:56:51 intel-chiefriver-03 kdumpctl[7393]: fs-lib
Mar 23 05:56:52 intel-chiefriver-03 kdumpctl[7393]: kdumpbase
Mar 23 05:56:53 intel-chiefriver-03 kdumpctl[7393]: shutdown
Mar 23 05:56:53 intel-chiefriver-03 systemd-tmpfiles[12852]: Successfully loaded SELinux database in 8ms 371us, size on heap is 478K.
Mar 23 05:56:54 intel-chiefriver-03 kdumpctl[7393]: E: ldconfig exited ungracefully
Mar 23 05:57:06 intel-chiefriver-03 kdump: kexec: loaded kdump kernel
Mar 23 05:57:06 intel-chiefriver-03 kdumpctl[7393]: Starting kdump:
Mar 23 05:57:06 intel-chiefriver-03 kdump: started up
Comment 1 Fedora Admin XMLRPC Client 2012-04-16 02:12:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Vivek Goyal 2012-06-04 09:34:14 EDT
This problem is not reproducible anymore. Please open the bz again if it shows up again.

Note You need to log in before you can comment on or make changes to this bug.